Bug 1470843 - upgrade to version 26 fails
upgrade to version 26 fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dnf-plugins-extras (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jaroslav Mracek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-13 15:20 EDT by Vadym Chepkov
Modified: 2017-07-25 12:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 12:55:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vadym Chepkov 2017-07-13 15:20:36 EDT
Attempts to upgrade to Fedora 26 fails with the following error:

# dnf system-upgrade download --refresh --releasever=26
Fedora 26 - x86_64                                                                                                                                                                                                                6.0 MB/s |  53 MB     00:08    
Fedora 26 - x86_64 - Updates                                                                                                                                                                                                      3.6 MB/s | 4.0 MB     00:01    
Last metadata expiration check: 0:00:03 ago on Thu Jul 13 19:16:36 2017.
Error: package python-dnf-plugins-extras-migrate-0.0.12-4.fc25.noarch requires python-dnf-plugins-extras-common = 0.0.12-4.fc25, but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages)

Server is updated to the latest:

# dnf upgrade --refresh
Dependencies resolved.
Nothing to do.
Complete!
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-07-13 16:33:37 EDT
If you don't need python-dnf-plugins-extras-migrate, just erase it first (dnf remove python-dnf-plugins-extras-migrate), and then try again.
Comment 2 Vadym Chepkov 2017-07-13 19:15:39 EDT
That helped, thank you. Although I never installed this package manually.
Comment 3 Jaroslav Mracek 2017-07-21 06:13:24 EDT
I created a patch that should solve the problem (https://github.com/rpm-software-management/dnf-plugins-core/pull/227).
Comment 4 Fedora Update System 2017-07-24 10:50:30 EDT
libdnf-0.9.3-1.fc26 dnf-plugins-core-2.1.3-1.fc26 dnf-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7
Comment 5 Fedora Update System 2017-07-25 00:26:30 EDT
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-6f4c06b2d7
Comment 6 Fedora Update System 2017-07-25 12:55:18 EDT
dnf-2.6.2-1.fc26, dnf-plugins-core-2.1.3-1.fc26, libdnf-0.9.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.